Debian Bug report logs - #393591
RM: translucency -- RoM; abandoned upstream; superseded by unionfs

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Sun, 15 Oct 2006 22:03:41 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#393295; Package translucency-source. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: translucency-source: Doesn't build with 2.6.18
Date: Sun, 15 Oct 2006 23:58:57 +0200
Package: translucency-source
Version: 0.6.0-3
Severity: grave
Justification: renders package unusable

I've tried to build translucency-source on 2.6.18, but it failed to compile:

dh_clean
/usr/bin/make clean
make[1]: Entering directory `/usr/src/modules/translucency'
rm -f *.o *.rej *.[ch].orig
make[1]: Leaving directory `/usr/src/modules/translucency'
/usr/bin/make  -f debian/rules kdist_clean kdist_config binary-modules
make[1]: Entering directory `/usr/src/modules/translucency'
dh_clean
dh_clean: cannot read debian/control: No such file or directory

make[1]: [kdist_clean] Error 1 (ignored)
/usr/bin/make clean
make[2]: Entering directory `/usr/src/modules/translucency'
rm -f *.o *.rej *.[ch].orig
make[2]: Leaving directory `/usr/src/modules/translucency'
make[1]: Nothing to be done for `kdist_config'.
for templ in /usr/src/modules/translucency/debian/translucency-module-_KVERS_.postinst.modules.in; do \
    cp $templ `echo $templ | sed -e 's/_KVERS_/2.6.18-1-686/g'` ; \
  done
for templ in `ls debian/*.modules.in` ; do \
    test -e ${templ%.modules.in}.backup || cp ${templ%.modules.in} ${templ%.modules.in}.backup 2>/dev/null || true; \
    sed -e 's/##KVERS##/2.6.18-1-686/g ;s/#KVERS#/2.6.18-1-686/g ; s/_KVERS_/2.6.18-1-686/g ; s/##KDREV##/2.6.18-2/g ; s/#KDREV#/2.6.18-2/g ; s/_KDREV_/2.6.18-2/g  ' < $templ > ${templ%.modules.in}; \
  done
dh_installdirs lib/modules/2.6.18-1-686/kernel/fs
# Build the module
/usr/bin/make KERNELDIR=/lib/modules/2.6.18-1-686/build KERNELVERSION=2.6.18-1-686 translucency.o
make[2]: Entering directory `/usr/src/modules/translucency'
gcc -c -O2 -Wall -Werror -fno-strict-aliasing -Wstrict-prototypes -fomit-frame-pointer -pipe -fno-strength-reduce -D__KERNEL__ -DMODULE -D__SMP__ -DSMP -I/lib/modules/2.6.18-1-686/build/include  extension.c
In file included from extension.c:3:
base.h:18:31: error: linux/modversions.h: No such file or directory
In file included from /lib/modules/2.6.18-1-686/build/include/linux/rwsem.h:24,
                 from /lib/modules/2.6.18-1-686/build/include/asm/semaphore.h:42,
                 from /lib/modules/2.6.18-1-686/build/include/linux/sched.h:57,
                 from base.h:28,
                 from extension.c:3:
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h: In function '__down_read':
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h:104: error: expected ':' or ')' before 'KBUILD_BASENAME'
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h: In function '__down_write_nested':
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h:156: error: expected ':' or ')' before 'KBUILD_BASENAME'
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h: In function '__up_read':
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h:198: error: expected ':' or ')' before 'KBUILD_BASENAME'
cc1: warnings being treated as errors
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h:192: warning: unused variable 'tmp'
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h: In function '__up_write':
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h:224: error: expected ':' or ')' before 'KBUILD_BASENAME'
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h: In function '__downgrade_write':
/lib/modules/2.6.18-1-686/build/include/asm/rwsem.h:249: error: expected ':' or ')' before 'KBUILD_BASENAME'
In file included from /lib/modules/2.6.18-1-686/build/include/linux/sched.h:57,
                 from base.h:28,
                 from extension.c:3:
/lib/modules/2.6.18-1-686/build/include/asm/semaphore.h: In function 'down':
/lib/modules/2.6.18-1-686/build/include/asm/semaphore.h:105: error: expected ':' or ')' before 'KBUILD_BASENAME'
/lib/modules/2.6.18-1-686/build/include/asm/semaphore.h: In function 'down_interruptible':
/lib/modules/2.6.18-1-686/build/include/asm/semaphore.h:130: error: expected ':' or ')' before 'KBUILD_BASENAME'
/lib/modules/2.6.18-1-686/build/include/asm/semaphore.h: In function 'down_trylock':
/lib/modules/2.6.18-1-686/build/include/asm/semaphore.h:155: error: expected ':' or ')' before 'KBUILD_BASENAME'
/lib/modules/2.6.18-1-686/build/include/asm/semaphore.h: In function 'up':
/lib/modules/2.6.18-1-686/build/include/asm/semaphore.h:179: error: expected ':' or ')' before 'KBUILD_BASENAME'
In file included from /lib/modules/2.6.18-1-686/build/include/asm/smp.h:17,
                 from /lib/modules/2.6.18-1-686/build/include/linux/smp.h:18,
                 from /lib/modules/2.6.18-1-686/build/include/linux/sched.h:63,
                 from base.h:28,
                 from extension.c:3:
/lib/modules/2.6.18-1-686/build/include/asm/mpspec.h:6:25: error: mach_mpspec.h: No such file or directory
In file included from /lib/modules/2.6.18-1-686/build/include/asm/smp.h:17,
                 from /lib/modules/2.6.18-1-686/build/include/linux/smp.h:18,
                 from /lib/modules/2.6.18-1-686/build/include/linux/sched.h:63,
                 from base.h:28,
                 from extension.c:3:
/lib/modules/2.6.18-1-686/build/include/asm/mpspec.h: At top level:
/lib/modules/2.6.18-1-686/build/include/asm/mpspec.h:8: error: 'MAX_MP_BUSSES' undeclared here (not in a function)
/lib/modules/2.6.18-1-686/build/include/asm/mpspec.h:22: error: 'MAX_IRQ_SOURCES' undeclared here (not in a function)
In file included from /lib/modules/2.6.18-1-686/build/include/linux/smp.h:18,
                 from /lib/modules/2.6.18-1-686/build/include/linux/sched.h:63,
                 from base.h:28,
                 from extension.c:3:
/lib/modules/2.6.18-1-686/build/include/asm/smp.h:76:26: error: mach_apicdef.h: No such file or directory
In file included from /lib/modules/2.6.18-1-686/build/include/linux/smp.h:18,
                 from /lib/modules/2.6.18-1-686/build/include/linux/sched.h:63,
                 from base.h:28,
                 from extension.c:3:
/lib/modules/2.6.18-1-686/build/include/asm/smp.h: In function 'hard_smp_processor_id':
/lib/modules/2.6.18-1-686/build/include/asm/smp.h:80: warning: implicit declaration of function 'GET_APIC_ID'
In file included from extension.c:3:
base.h: At top level:
base.h:68: error: array type has incomplete element type
base.h: In function 'namei_to_path':
base.h:141: error: dereferencing pointer to incomplete type
base.h:141: error: dereferencing pointer to incomplete type
make[2]: *** [extension.o] Error 1
make[2]: Leaving directory `/usr/src/modules/translucency'
make[1]: *** [binary-modules] Error 2
make[1]: Leaving directory `/usr/src/modules/translucency'
make: *** [kdist_build] Error 2

Cheers,
        Moritz

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)

Versions of packages translucency-source depends on:
ii  debhelper                     5.0.40     helper programs for debian/rules
ii  make                          3.81-3     The GNU version of the "make" util
ii  module-assistant              0.10.7     tool to make module package creati

translucency-source recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#393295; Package translucency-source. Full text and rfc822 format available.

Acknowledgement sent to "Bernhard M. Wiedemann" <bernhard@lsmod.de>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #10 received at 393295@bugs.debian.org (full text, mbox):

From: "Bernhard M. Wiedemann" <bernhard@lsmod.de>
To: Moritz Muehlenhoff <jmm@debian.org>, 393295@bugs.debian.org
Subject: Re: Bug#393295: translucency-source: Doesn't build with 2.6.18
Date: Mon, 16 Oct 2006 07:04:52 +0200 (CEST)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi

The current releases are intended for 2.4.x kernels only
I never ported translucency to 2.6.18 mostly for the reason that the 
fundamental design of translucency is just a hack 
(which btw was really great to study how applications interact with the 
kernel though system calls) and that all 2.6.x kernels lack the required 
syscall_table symbol export.

I found unionfs to be quite usable on recent 2.6.1x kernels
http://www.am-utils.org/project-unionfs.html
or
apt-get install unionfs-source unionfs-utils

Ciao
Bernhard M.
-----BEGIN PGP SIGNATURE-----

iD8DBQFFMxL7STYLOx37oWQRAo08AJwPqsbClAdLYEdLgH2HdrPbHQAFlgCgkf/S
Y63VGKl33BJrEF/FUjVNwAg=
=5bOj
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#393295; Package translucency-source. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #15 received at 393295@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: 393295@bugs.debian.org
Cc: ftp.debian.org@packages.debian.org
Subject: Re: Bug#393295: translucency-source: Doesn't build with 2.6.18
Date: Mon, 16 Oct 2006 22:45:44 +0200
retitle 393295 RM: translucency -- RoM; abandoned upstream; superseded by unionfs
reassign 393295 ftp.debian.org
thanks

This package won't longer work with Etch's default kernel (2.6), unionfs
has been implementing its functionality for a long while.

Eduard.

#include <hallo.h>
* Bernhard M. Wiedemann [Mon, Oct 16 2006, 07:04:52AM]:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi
> 
> The current releases are intended for 2.4.x kernels only
> I never ported translucency to 2.6.18 mostly for the reason that the 
> fundamental design of translucency is just a hack 
> (which btw was really great to study how applications interact with the 
> kernel though system calls) and that all 2.6.x kernels lack the required 
> syscall_table symbol export.
> 
> I found unionfs to be quite usable on recent 2.6.1x kernels
> http://www.am-utils.org/project-unionfs.html
> or
> apt-get install unionfs-source unionfs-utils
> 
> Ciao
> Bernhard M.
> -----BEGIN PGP SIGNATURE-----
> 
> iD8DBQFFMxL7STYLOx37oWQRAo08AJwPqsbClAdLYEdLgH2HdrPbHQAFlgCgkf/S
> Y63VGKl33BJrEF/FUjVNwAg=
> =5bOj
> -----END PGP SIGNATURE-----
> 
> 

-- 
<plaisthos> Bei "/exec -o banner Linux rulez" wird bestimmt
	wegen flood gekickt oder? ;)
<Getty> plaisthos: mach das auf +debian.de ;)
<weasel> Getty: dann take ich den channel und kick ihn *G*



Changed Bug title. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `translucency-source' to `ftp.debian.org'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393295; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #24 received at 393295@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Eduard Bloch <edi@gmx.de>, 393295@bugs.debian.org
Subject: Re: Bug#393295: translucency-source: Doesn't build with 2.6.18
Date: Mon, 16 Oct 2006 15:35:31 -0700
clone 393295 -1
reassign 393295 translucency
severity -1 normal
retitle 393295 translucency-source: Doesn't build with 2.6.18
thanks

On Mon, Oct 16, 2006 at 10:45:44PM +0200, Eduard Bloch wrote:
> This package won't longer work with Etch's default kernel (2.6), unionfs
> has been implementing its functionality for a long while.

Please clone such bugs rather than reassigning when the removal is
release-critical, to avoid accidentally shipping such packages in the
release.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug 393295 cloned as bug 393591. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `grave' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 393591-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 393591-close@bugs.debian.org
Cc: translucency@packages.debian.org, translucency@packages.qa.debian.org
Subject: Bug#393591: fixed
Date: Tue, 17 Oct 2006 10:50:54 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

translucency |    0.6.0-3 | source
translucency-source |    0.6.0-3 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 393591@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:11:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:57:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.